<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:html="http://www.w3.org/1999/xhtml"
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xl="http://www.w3.org/1999/xlink"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--rst

.. _template_db.xsl:

===============
template_db.xsl
===============

cration du prototype de formulaire utilisateur

TODO
====

EVOLUTIONS
==========

$Id$

- fplod 20110629T135204Z cratos.locean-ipsl.upmc.fr (Linux)

  * authorgroup is found in main.xml

- fplod 2008-09-17T09:49:51Z aedon.locean-ipsl.upmc.fr (Darwin)

  * project name from main.xml file instead of a fixed one

- fplod 2008-04-30T13:30:47Z aedon.locean-ipsl.upmc.fr (Darwin)

  * language inherited from biblio.xml

- fplod 2008-04-29T10:28:37Z aedon.locean-ipsl.upmc.fr (Darwin)

  * chgt for dbk5

- fplod 2007-04-26T09:31:32Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation

-->

<xsl:output
 method="xml"
 indent="yes"
 encoding="ISO-8859-1"
 omit-xml-declaration="no"/>

<xsl:include href="form_db.xsl"/>

<xsl:template match="users">

 <xsl:apply-templates select="user[child::userid='template']"/>
</xsl:template>

<xsl:template match="user[child::userid='template']">
<xsl:variable name="project">
 <xsl:value-of select="document('main.xml')//d:keyword[@xml:id='project']"/>
</xsl:variable>

<xsl:element name="article">
<xsl:attribute name="version">5.0</xsl:attribute>
<xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
<xsl:attribute name="xml:lang"><xsl:value-of select="/d:bibliography/@xml:lang"/></xsl:attribute>
<xsl:attribute name="xml:id">template_form</xsl:attribute>

 <title><xsl:value-of select="$project"/> - Template</title>
<info>
<authorgroup>
<xsl:copy-of select="document('main.xml')//d:info/d:authorgroup"/>
</authorgroup>
<keywordset>
<keyword><xsl:value-of select="$project"/></keyword>
</keywordset>
<!-- ++ date -->
</info>
 <xsl:text>&#xA;</xsl:text>

 <xsl:comment>
  template form from template userid in user.xml.
<xsl:call-template name="para_lastupdate_user">
 <xsl:with-param name="language" select="document('biblio.xml')/d:bibliography/@xml:lang"/>

 <xsl:with-param name="date" select="ancestor::users/child::date"/>
</xsl:call-template>
 </xsl:comment>

 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="sect1">
  <xsl:attribute name="xml:id">intro</xsl:attribute>
  <title>Context</title>
  <xsl:element name="para">
   The mail sent by filling this form will be used to update
<link xl:href="main.php"><xsl:value-of select="$project"/>-Publications-Papers</link>
and <link xl:href="user.html"><xsl:value-of select="$project"/> Users</link>.
  </xsl:element>
 </xsl:element>
 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="sect1">
  <xsl:attribute name="xml:id"><xsl:value-of select="userid"/></xsl:attribute>
  <xsl:text>&#xA;</xsl:text>
  <xsl:choose>
   <xsl:when test="userid != 'template'">
    <xsl:element name="title">
     <xsl:value-of select="personname/firstname"/> <xsl:text> </xsl:text> <xsl:value-of select="personname/surname"/>
    </xsl:element>
   </xsl:when>
   <xsl:otherwise>
    <xsl:element name="title">Template</xsl:element>
   </xsl:otherwise>
  </xsl:choose>
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="para">
   <xsl:value-of select="email"/>
  </xsl:element>
  <xsl:text>&#xA;</xsl:text>
  <xsl:call-template name="form_db">
   <xsl:with-param name="author_id" select="userid"/>
   <xsl:with-param name="user" select="."/>
   <xsl:with-param name="visu_modif" select="'modif'"/>
   <xsl:with-param name="bibmode" select="'no'"/>
  </xsl:call-template>
 <xsl:text>&#xA;</xsl:text>
 </xsl:element>
</xsl:element>
</xsl:template>

</xsl:stylesheet>
